Javac (Axis API)
Keywords: org.apache.axis.components.compiler.Javac,Javac class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.compiler
Class Javac

    java.lang.Object
      |
      +--org.apache.axis.components.compiler.AbstractCompiler
            |
            +--org.apache.axis.components.compiler.Javac

All Implemented Interfaces:
  Compiler

public class Javac
extends AbstractCompiler

This class wraps the Sun's Javac Compiler.

Since:
  2.0
Version:
  $Revision: 1.12 $ $Date: 2002/07/02 18:07:35 $
Author:
  Davanum Srinivas, Stefano Mazzocchi

Field Summary
`static java.lang.String` | `CLASSIC_CLASS`
`protected static org.apache.commons.logging.Log` | `log`
`static java.lang.String` | `MODERN_CLASS`

Fields inherited from class org.apache.axis.components.compiler.AbstractCompiler
`classpath, destDir, encoding, errors, fileList, srcDir`

Constructor Summary
`Javac()`

Method Summary
`boolean` | `compile()` Compile a source file yielding a loadable class file.
`protected java.util.List` | `parseClassicStream(java.io.BufferedReader input)` Parse the compiler error stream to produce a list of `CompilerError`s
`protected java.util.List` | `parseModernStream(java.io.BufferedReader input)` Parse the compiler error stream to produce a list of `CompilerError`s
`protected java.util.List` | `parseStream(java.io.BufferedReader input)` Parse the compiler error stream to produce a list of `CompilerError`s
`java.lang.String` | `toString()`

Methods inherited from class org.apache.axis.components.compiler.AbstractCompiler
`addFile, fillArguments, getErrors, setClasspath, setDestination, setEncoding, setSource, toStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

### CLASSIC_CLASS

    public static final java.lang.String CLASSIC_CLASS

See Also:
  Constant Field Values

### MODERN_CLASS

    public static final java.lang.String MODERN_CLASS

See Also:
  Constant Field Values

Constructor Detail

### Javac

    public Javac()

Method Detail

### compile

    public boolean compile()
                    throws java.io.IOException

  Compile a source file yielding a loadable class file.

  Throws:
    `java.io.IOException` - If an error occurs during compilation

### parseStream

    protected java.util.List parseStream(java.io.BufferedReader input)
                                  throws java.io.IOException

  Parse the compiler error stream to produce a list of `CompilerError`s

  Specified by:
    `parseStream` in class `AbstractCompiler`
  Parameters:
    `input` - The error stream
  Returns:
    The list of compiler error messages
  Throws:
    `java.io.IOException` - If an error occurs during message collection

### parseModernStream

    protected java.util.List parseModernStream(java.io.BufferedReader input)
                                        throws java.io.IOException

  Parse the compiler error stream to produce a list of `CompilerError`s

  Parameters:
    `input` - The error stream
  Returns:
    The list of compiler error messages
  Throws:
    `java.io.IOException` - If an error occurs during message collection

### parseClassicStream

    protected java.util.List parseClassicStream(java.io.BufferedReader input)
                                         throws java.io.IOException

  Parse the compiler error stream to produce a list of `CompilerError`s

  Parameters:
    `input` - The error stream
  Returns:
    The list of compiler error messages
  Throws:
    `java.io.IOException` - If an error occurs during message collection

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.